<button class="button-basic" nz-button nzShape="round" nz-tooltip nzTooltipTitle='Settings' (click)="modalVisible = true">
    <i class="fas fa-user-cog"></i>
</button>

<nz-modal [(nzVisible)]="modalVisible" nzTitle='{{ "Entity.Components.Settings" | translate }}' [nzFooter]="null" nzWidth="80%"
    (nzOnCancel)="modalVisible = false" nzMaskClosable="false" nzMask="true">
    <ng-container *nzModalContent>
        <div nz-row nzGutter="12" nzJustify="space-around">
            <div nz-col nzSpan="16">

                <nz-spin [nzSpinning]="isLoading">
                    <h3>{{ "Entity.Components.changeNameCost" | translate }}</h3>
                    <nz-input-group nzSearch [nzAddOnAfter]="suffixIconButton">
                        <input type="text" [(ngModel)]="entity.name" nz-input placeholder='{{ "Entity.Components.newName" | translate }}' />
                    </nz-input-group>
                    <ng-template #suffixIconButton>
                        <button nz-button nzShape="round" nzType="primary" nzSearch (click)="changeName()">
                            {{ "Entity.Components.Change" | translate }} <i style="margin-left: 10px" class="fas fa-check"></i>
                        </button>
                    </ng-template>
                </nz-spin>

                <nz-divider></nz-divider>
                <h3>{{ "Entity.Components.changeAvatar" | translate }}</h3>

                <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
                    <nz-upload nzType="drag" [nzMultiple]="false" nzAction="{{apiUrl}}/api/utils/upload"
                        [nzCustomRequest]="uploadDocument" nzName="avatar" nzListType="picture-card"
                        [nzShowUploadList]="false">
                        <p class="ant-upload-drag-icon">
                            <i nz-icon nzType="inbox"></i>
                        </p>
                        <p class="ant-upload-text">{{ "Social.Community.ClickOrDrag" | translate }}</p>
                        <div *ngIf="entity.avatar">
                            <hr />
                            {{ "Social.Community.CurrentAvatar" | translate }}: (300x300)<br />
                            <img style="width: 200px; height: 200px;" [src]="entity.avatar" class="avatar" />
                        </div>
                    </nz-upload>
                </nz-spin>
            </div>
        </div>
    </ng-container>
</nz-modal>